@ECHO OFF
REM This batch file copies the files from a four disk set to the
REM Network directory.
CLS
ECHO This batch file performs the appropriate steps necessary to
ECHO place the CSAV files on one disk usually the network.
ECHO.
ECHO Please execute this file from the directory and drive where you want
ECHO the CSAV files to be. If you want the CSAV files in F:\F-PROT
ECHO type: COPY %0.BAT F:\F-PROT. Then goto that directory and type:
ECHO.
ECHO    %0 [Drive and directory where CSAV files are located]
ECHO    Example: %0 A:
ECHO             %0 A:\F-PROT
ECHO.
ECHO Note:Please end the subdirectory without the backslash; it is added in
ECHO      the batch file.
ECHO.
ECHO Press CTRL-C to end or
PAUSE
IF '%1'=='' GOTO SYNTAX

:1DISK
CLS
IF EXIST %1\SETUP.EXE GOTO 1DISKCOPY
ECHO Please place disk#1 in the drive then
PAUSE
GOTO 1DISK

:1DISKCOPY
COPY %1\*.*

:2DISK
IF EXIST %1\FPNT.CSS GOTO 2DISKCOPY
ECHO Please place disk#2 in the drive then
PAUSE
GOTO 2DISK

:2DISKCOPY
COPY %1\*.*

:3DISK
IF EXIST %1\HPNT.CSS GOTO 3DISKCOPY
ECHO Please place disk#3 in the drive then
PAUSE
GOTO 3DISK

:3DISKCOPY
COPY %1\*.*

:4DISK
IF EXIST %1\Fprotnt.CSS GOTO 4DISKCOPY
ECHO Please place disk#4 in the drive then
PAUSE
GOTO 4DISK

:4DISKCOPY
COPY %1\*.*

ECHO.
ECHO Transfer Complete...
ECHO.
GOTO END

:SYNTAX
ECHO SYNTAX ERROR:A source path is needed.
ECHO e.g. %0 A:
GOTO END

:ERROR
ECHO Please call Tech Support at 1-800-423-9147
ECHO.
ECHO.

:END
